Subject: Re: [PATCH] gnu: Add nyancat.
From: Efraim Flashner <[email-masked]>
To: Jakub Kądziołka <[email-masked]>
Cc: [email-masked]
Date: Mon, 9 Mar 2020 14:32:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Mar 09, 2020 at 01:12:19PM +0100, Jakub Kądziołka wrote:
> On Wed, Mar 04, 2020 at 09:44:48PM +0200, Efraim Flashner wrote:
> > +    (arguments
> > +     '(#:phases
> > +       (modify-phases %standard-phases
> > +         (delete 'configure) ; no configure script
> > +         (add-after 'unpack 'set-environment-variables
> > +           (lambda _ (setenv "CC" (which "gcc")) #t))
> I'm not fond of formatting a whole phase on one line, I feel like
> (lambda _
>   (setenv "CC" (which "gcc"))
>   #t)
> would be clearer. Either way, as far as I can see, this can also be done
> with the simpler #:make-flags '("CC=gcc")

Good points. make-flags it is.

> 
> Apart from that, LGTM.
> 
> > +    (synopsis "Nyan cat telnet server")
> I'm kinda disappointed you didn't include a service to go with it :P

It's coming one of these days :) It turned out it was harder than
expected to have the output go to a telnet connection and not to stdout
when running a service. I'll have to play with it more one of these
days.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted